DbEnv::mutex_unlock()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_unlock()

    #include <db_cxx.h>

    int
    DbEnv::mutex_unlock(db_mutex_t mutex);

The `DbEnv::mutex_unlock()` method unlocks the mutex locked by DbEnv::mutex_lock().

The `DbEnv::mutex_unlock()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### mutex

The mutex parameter is a mutex previously locked by DbEnv::mutex_lock().

### Errors

The `DbEnv::mutex_unlock()` method may fail and throw a DbException exception, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_stat_print() | Home | Chapter 11. Replication Methods